curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/zOpe0eHsq0A2NvNyBbtT6sj53qV.jpg",
"belongs_to_collection": {
"backdrop_path": "/l5CIAdxVhhaUD3DaS4lP4AR2so9.jpg",
"id": 720879,
"name": "Sonic the Hedgehog Collection",
"poster_path": "/fwFWhYXj8wY6gFACtecJbg229FI.jpg"
},
"budget": 122000000,
"genres": [
{
"id": 28,
"name": "Action"
},
{
"id": 878,
"name": "Science Fiction"
},
{
"id": 35,
"name": "Comedy"
},
{
"id": 10751,
"name": "Family"
}
],
"homepage": "https://www.sonicthehedgehogmovie.com",
"id": 939243,
"imdb_id": "tt18259086",
"origin_country": [
"US"
],
"original_language": "en",
"original_title": "Sonic the Hedgehog 3",
"overview": "Sonic, Knuckles, and Tails reunite against a powerful new adversary, Shadow, a mysterious villain with powers unlike anything they have faced before. With their abilities outmatched in every way, Team Sonic must seek out an unlikely alliance in hopes of stopping Shadow and protecting the planet.",
"popularity": 3668.314,
"poster_path": "/x7NPbBlrvFRJrpinBSRlMOOUWom.jpg",
"production_companies": [
{
"id": 4,
"logo_path": "/gz66EfNoYPqHTYI4q9UEN4CbHRc.png",
"name": "Paramount Pictures",
"origin_country": "US"
},
{
"id": 333,
"logo_path": "/5xUJfzPZ8jWJUDzYtIeuPO4qPIa.png",
"name": "Original Film",
"origin_country": "US"
},
{
"id": 77884,
"logo_path": "/dP2lxVNctD5Cried0IWVqgrO2o9.png",
"name": "Marza Animation Planet",
"origin_country": "JP"
},
{
"id": 113750,
"logo_path": "/A3QVZ9Ah0yI2d2GiXUFpdlbTgyr.png",
"name": "SEGA",
"origin_country": "JP"
},
{
"id": 10644,
"logo_path": "/ocLZIdYJBppuCt1rhYEb2jbpt5F.png",
"name": "Blur Studio",
"origin_country": "US"
},
{
"id": 168701,
"logo_path": "/vWdZFT4V64CCv12D10m44duQjyg.png",
"name": "SEGA of America",
"origin_country": "US"
}
],
"production_countries": [
{
"iso_3166_1": "JP",
"name": "Japan"
},
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"release_date": "2024-12-19",
"revenue": 336007876,
"runtime": 110,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Japanese",
"iso_639_1": "ja",
"name": "日本語"
},
{
"english_name": "French",
"iso_639_1": "fr",
"name": "Français"
},
{
"english_name": "Spanish",
"iso_639_1": "es",
"name": "Español"
}
],
"status": "Released",
"tagline": "New adventure. New rival.",
"title": "Sonic the Hedgehog 3",
"video": false,
"vote_average": 7.693,
"vote_count": 368
}Details
Get the top level details of a movie by ID.
Append To Response
This method supports using append_to_response. Read more about this here.
Path Parameters
Query Parameters
"en-US"
Response
Details
false
"/zOpe0eHsq0A2NvNyBbtT6sj53qV.jpg"
Show child attributes
Show child attributes
122000000
Show child attributes
Show child attributes
[
{ "id": 28, "name": "Action" },
{ "id": 878, "name": "Science Fiction" },
{ "id": 35, "name": "Comedy" },
{ "id": 10751, "name": "Family" }
]
"https://www.sonicthehedgehogmovie.com"
939243
"tt18259086"
["US"]
"en"
"Sonic the Hedgehog 3"
"Sonic, Knuckles, and Tails reunite against a powerful new adversary, Shadow, a mysterious villain with powers unlike anything they have faced before. With their abilities outmatched in every way, Team Sonic must seek out an unlikely alliance in hopes of stopping Shadow and protecting the planet."
3668.314
"/x7NPbBlrvFRJrpinBSRlMOOUWom.jpg"
Show child attributes
Show child attributes
[
{
"id": 4,
"logo_path": "/gz66EfNoYPqHTYI4q9UEN4CbHRc.png",
"name": "Paramount Pictures",
"origin_country": "US"
},
{
"id": 333,
"logo_path": "/5xUJfzPZ8jWJUDzYtIeuPO4qPIa.png",
"name": "Original Film",
"origin_country": "US"
},
{
"id": 77884,
"logo_path": "/dP2lxVNctD5Cried0IWVqgrO2o9.png",
"name": "Marza Animation Planet",
"origin_country": "JP"
},
{
"id": 113750,
"logo_path": "/A3QVZ9Ah0yI2d2GiXUFpdlbTgyr.png",
"name": "SEGA",
"origin_country": "JP"
},
{
"id": 10644,
"logo_path": "/ocLZIdYJBppuCt1rhYEb2jbpt5F.png",
"name": "Blur Studio",
"origin_country": "US"
},
{
"id": 168701,
"logo_path": "/vWdZFT4V64CCv12D10m44duQjyg.png",
"name": "SEGA of America",
"origin_country": "US"
}
]
Show child attributes
Show child attributes
[
{ "iso_3166_1": "JP", "name": "Japan" },
{
"iso_3166_1": "US",
"name": "United States of America"
}
]
"2024-12-19"
336007876
110
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
},
{
"english_name": "Japanese",
"iso_639_1": "ja",
"name": "日本語"
},
{
"english_name": "French",
"iso_639_1": "fr",
"name": "Français"
},
{
"english_name": "Spanish",
"iso_639_1": "es",
"name": "Español"
}
]
"Released"
"New adventure. New rival."
"Sonic the Hedgehog 3"
false
7.693
368